### Constructor

# Msg GoaAuthorizer new

#### Declaration [src]

    MsgGoaAuthorizer*
    msg_goa_authorizer_new (
      GoaObject* goa_object
    )

#### Description [src]

Creates a new `MsgGoaAuthorizer` using `goa_object`.

#### Parameters

`goa_object`

  Type: `GoaObject`

  A `GoaObject` representing a MS Graph account.

  The data is owned by the caller of the function.

#### Return value

Type: `MsgGoaAuthorizer`

A new `MsgGoaAuthorizer`. Free the returned object with g_object_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.